## ros-rolling-rclc-examples 3.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclc_examples)

#################################################
# compiler settings
#################################################

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(CMAKE_VERBOSE_MAKEFILE ON)

find_package(ament_cmake_ros REQUIRED)
find_package(rcl REQUIRED)
find_package(rcl_lifecycle REQUIRED)
find_package(rclc REQUIRED)
find_package(rclc_lifecycle REQUIRED)
find_package(std_msgs REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclc_parameter REQUIRED)
find_package(Threads REQUIRED)

include_directories(include)

add_executable(example_executor src/example_executor.c)
ament_target_dependencies(example_executor rcl rclc std_msgs)

add_executable(example_executor_convenience src/example_executor_convenience.c)
ament_target_dependencies(example_executor_convenience rcl rclc std_msgs)

add_executable(example_executor_trigger src/example_executor_trigger.c)
ament_target_dependencies(example_executor_trigger rcl rclc std_msgs)

add_executable(example_service_node src/example_service_node.c)
ament_target_dependencies(example_service_node rcl rclc example_interfaces)

add_executable(example_client_node src/example_client_node.c)
ament_target_dependencies(example_client_node rcl rclc example_interfaces)

add_executable(example_lifecycle_node src/example_lifecycle_node.c)
ament_target_dependencies(example_lifecycle_node rcutils rcl rcl_lifecycle rclc rclc_lifecycle lifecycle_msgs)

add_executable(example_parameter_server src/example_parameter_server.c)
ament_target_dependencies(example_parameter_server rclc rclc_parameter)

add_executable(example_sub_context src/example_sub_context.c)
ament_target_dependencies(example_sub_context rcl rclc std_msgs)

add_executable(example_pingpong src/example_pingpong.cpp)
ament_target_dependencies(example_pingpong rcl rclc std_msgs)

add_executable(example_action_server src/example_action_server.c)
target_link_libraries(example_action_server Threads::Threads)
ament_target_dependencies(example_action_server rcl rcl_action rclc example_interfaces)

add_executable(example_action_client src/example_action_client.c)
ament_target_dependencies(example_action_client rcl rcl_action rclc example_interfaces)

install(TARGETS
  example_executor
  example_executor_convenience
  example_executor_trigger
  example_lifecycle_node
  example_service_node
  example_client_node
  example_parameter_server
  example_sub_context
  example_pingpong
  example_action_server
  example_action_client
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-rolling-rclc-examples (3.0.6-1focal) focal; urgency=high

  * Create service context in main (#224)
  * Add thread dependency to examples (Rolling) (#237)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 24 Jan 2022 23:00:00 -0000

ros-rolling-rclc-examples (3.0.5-1focal) focal; urgency=high

  * no change

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 22 Nov 2021 23:00:00 -0000

ros-rolling-rclc-examples (3.0.4-1focal) focal; urgency=high

  * added pingpong example (#172)
  * Provide lifecycle services in the rclc lifecycle nodes (#51)
  * RCLC Actions Implementation (#170)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 16 Nov 2021 23:00:00 -0000

ros-rolling-rclc-examples (3.0.3-1focal) focal; urgency=high

  * Version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 27 Jul 2021 22:00:00 -0000

ros-rolling-rclc-examples (3.0.2-1focal) focal; urgency=high

  * Version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 25 Jul 2021 22:00:00 -0000

ros-rolling-rclc-examples (3.0.1-1focal) focal; urgency=high

  * Added example for parameter server
  * Added example for executor prepare API
  * Added example for quality of service entity creation API
  * Added example for subscription with context

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Fri, 16 Jul 2021 22:00:00 -0000

ros-rolling-rclc-examples (2.0.0-1focal) focal; urgency=high

  * added codecov support
  * new API of rcl_lifecycle in Rolling required major version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 22 Apr 2021 22:00:00 -0000

ros-rolling-rclc-examples (1.0.1-1focal) focal; urgency=high

  * Windows port
  * Compatibility sleep function (Windows, POSIX-OS)
  * Fixed RCL lifecycle API change for Rolling

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 28 Mar 2021 22:00:00 -0000

ros-rolling-rclc-examples (1.0.0-1focal) focal; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 03 Mar 2021 23:00:00 -0000

ros-rolling-rclc-examples (0.1.7-1focal) focal; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-rolling-rclc-examples (0.1.6-1focal) focal; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-rolling-rclc-examples (0.1.5-1focal) focal; urgency=high

  * Added support for services,clients and guard_conditions to rclc executor

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 10 Dec 2020 23:00:00 -0000

ros-rolling-rclc-examples (0.1.4-1focal) focal; urgency=high

  * Fixed error in bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 24 Nov 2020 23:00:00 -0000

ros-rolling-rclc-examples (0.1.3-1focal) focal; urgency=high

  * Added rclc_lifecycle package

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 22 Nov 2020 23:00:00 -0000

ros-rolling-rclc-examples (0.1.2-1focal) focal; urgency=high

  * Fixed compiler errors for bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 18 May 2020 22:00:00 -0000

ros-rolling-rclc-examples (0.1.1-1focal) focal; urgency=high

  * Initial release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 13 May 2020 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-rclc-examples
Section: misc
Priority: optional
Maintainer: Jan Staschulat <jan.staschulat@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-example-interfaces, ros-rolling-lifecycle-msgs, ros-rolling-rcl, ros-rolling-rclc, ros-rolling-rclc-lifecycle, ros-rolling-rclc-parameter, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclc-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-example-interfaces, ros-rolling-lifecycle-msgs, ros-rolling-rcl, ros-rolling-rclc, ros-rolling-rclc-lifecycle, ros-rolling-rclc-parameter, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Example of using rclc_executor

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rclc-examples//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rclc-examples 6.1.0

=== debian/changelog ===
ros-rolling-rclc-examples (6.1.0-1jammy) jammy; urgency=high

  * no changes

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 14 Jun 2023 22:00:00 -0000

ros-rolling-rclc-examples (3.0.9-1jammy) jammy; urgency=high

  * Example real-time concurreny timer and subscription (#329)
  * Updated documentation (#332)
  * Updating README: updated table of contents and adding missing examples. (#335)
  * Added documentation about number_of_handles in all examples. (#341)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 21 Mar 2023 23:00:00 -0000

ros-rolling-rclc-examples (3.0.8-1jammy) jammy; urgency=high

  * Fix RCLC int parameter get (cherry-pick) (#272)
  * Upgrade parameters (#274)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 13 Apr 2022 22:00:00 -0000

ros-rolling-rclc-examples (3.0.7-1jammy) jammy; urgency=high

  * no changes

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 16 Feb 2022 23:00:00 -0000

ros-rolling-rclc-examples (3.0.6-1jammy) jammy; urgency=high

  * Create service context in main (#224)
  * Add thread dependency to examples (Rolling) (#237)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 24 Jan 2022 23:00:00 -0000

ros-rolling-rclc-examples (3.0.5-1jammy) jammy; urgency=high

  * no change

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 22 Nov 2021 23:00:00 -0000

ros-rolling-rclc-examples (3.0.4-1jammy) jammy; urgency=high

  * added pingpong example (#172)
  * Provide lifecycle services in the rclc lifecycle nodes (#51)
  * RCLC Actions Implementation (#170)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 16 Nov 2021 23:00:00 -0000

ros-rolling-rclc-examples (3.0.3-1jammy) jammy; urgency=high

  * Version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 27 Jul 2021 22:00:00 -0000

ros-rolling-rclc-examples (3.0.2-1jammy) jammy; urgency=high

  * Version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 25 Jul 2021 22:00:00 -0000

ros-rolling-rclc-examples (3.0.1-1jammy) jammy; urgency=high

  * Added example for parameter server
  * Added example for executor prepare API
  * Added example for quality of service entity creation API
  * Added example for subscription with context

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Fri, 16 Jul 2021 22:00:00 -0000

ros-rolling-rclc-examples (2.0.0-1jammy) jammy; urgency=high

  * added codecov support
  * new API of rcl_lifecycle in Rolling required major version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 22 Apr 2021 22:00:00 -0000

ros-rolling-rclc-examples (1.0.1-1jammy) jammy; urgency=high

  * Windows port
  * Compatibility sleep function (Windows, POSIX-OS)
  * Fixed RCL lifecycle API change for Rolling

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 28 Mar 2021 22:00:00 -0000

ros-rolling-rclc-examples (1.0.0-1jammy) jammy; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 03 Mar 2021 23:00:00 -0000

ros-rolling-rclc-examples (0.1.7-1jammy) jammy; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-rolling-rclc-examples (0.1.6-1jammy) jammy; urgency=high

  * Updated version

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 23:00:00 -0000

ros-rolling-rclc-examples (0.1.5-1jammy) jammy; urgency=high

  * Added support for services,clients and guard_conditions to rclc executor

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 10 Dec 2020 23:00:00 -0000

ros-rolling-rclc-examples (0.1.4-1jammy) jammy; urgency=high

  * Fixed error in bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 24 Nov 2020 23:00:00 -0000

ros-rolling-rclc-examples (0.1.3-1jammy) jammy; urgency=high

  * Added rclc_lifecycle package

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 22 Nov 2020 23:00:00 -0000

ros-rolling-rclc-examples (0.1.2-1jammy) jammy; urgency=high

  * Fixed compiler errors for bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 18 May 2020 22:00:00 -0000

ros-rolling-rclc-examples (0.1.1-1jammy) jammy; urgency=high

  * Initial release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 13 May 2020 22:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
